/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.beans.ebasic;

import javax.ejb.EntityBean;

import org.objectweb.util.monolog.api.BasicLevel;


/**
 * This is an entity bean with "container managed persistence version 1.x".
 * The state of an instance is stored into a relational database.
 * The following table should exist :
 * ebasicSimpleEC 
 * c_testname	varchar(30) 	primarey key
 * c_info		integer
 * c_numtest	integer
 * @author Philippe Durieux, Philippe Coq, Helene Joanin
 */

public class SimpleEC extends SimpleEC2 implements EntityBean {

    // State of the bean (CMP v1)
    public int info;
    public int numtest;	
    public String testname;


    // Accessors and setters implementation

    public int getInfo() {
        logger.log(BasicLevel.DEBUG, "");
        return info;
    }
    public void setInfo(int info) {
        logger.log(BasicLevel.DEBUG, "");
        this.info = info;
    }

    public int getNumTest() {
        logger.log(BasicLevel.DEBUG, "");
        return numtest;
    }
    public void setNumTest(int num) {
        logger.log(BasicLevel.DEBUG, "");
        this.numtest = num;
    }

    public String getTestName() {
        logger.log(BasicLevel.DEBUG, "");
        return testname;
    }
    public void setTestName(String name) {
        logger.log(BasicLevel.DEBUG, "");
        this.testname = name;
    }
}
